Debian Bug report logs - #671688
evernote-mode: evernote-browser fails to execute with SSL_connect error

version graph

Package: evernote-mode; Maintainer for evernote-mode is Youhei SASAKI <uwabami@gfd-dennou.org>; Source for evernote-mode is src:evernote-mode.

Reported by: Petr Novodvorskiy <peter.novodvorsky@gmail.com>

Date: Sat, 5 May 2012 22:39:01 UTC

Severity: grave

Tags: upstream

Found in version evernote-mode/0.41-2

Fixed in version evernote-mode/0.41-3

Done: Youhei SASAKI <uwabami@gfd-dennou.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#671688; Package evernote-mode. (Sat, 05 May 2012 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Novodvorskiy <peter.novodvorsky@gmail.com>:
New Bug report received and forwarded. Copy sent to Youhei SASAKI <uwabami@gfd-dennou.org>. (Sat, 05 May 2012 22:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Petr Novodvorskiy <peter.novodvorsky@gmail.com>
To: submit@bugs.debian.org
Subject: evernote-mode: evernote-browser fails to execute with SSL_connect error
Date: Sat, 5 May 2012 15:36:24 -0700
Package: evernote-mode
Version: 0.41-2
Severity: grave
Tags: upstream
Justification: renders package unusable

Dear Maintainer,
After starting evernote-browser I get following error in mini-buffer:
SSL_connect SYSCALL returned=5 errno=0 state=unknown state

Same thing happens for evernote-create-node and others. This renders evernote-
mode unusable.




-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.12 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages evernote-mode depends on:
ii  emacs                         23.4+1-3
ii  emacs23                       23.4+1-3
ii  ruby1.8 [ruby-interpreter]    1.8.7.358-2
ii  ruby1.9.1 [ruby-interpreter]  1.9.3.0-2.1

evernote-mode recommends no packages.

Versions of packages evernote-mode suggests:
ii  w3m-el  1.4.4-11

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, evgenykurbatov@yandex.ru, Youhei SASAKI <uwabami@gfd-dennou.org>:
Bug#671688; Package evernote-mode. (Wed, 16 May 2012 18:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Evgeny Kurbatov <evgenykurbatov@yandex.ru>:
Extra info received and forwarded to list. Copy sent to evgenykurbatov@yandex.ru, Youhei SASAKI <uwabami@gfd-dennou.org>. (Wed, 16 May 2012 18:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 671688@bugs.debian.org (full text, mbox):

From: Evgeny Kurbatov <evgenykurbatov@yandex.ru>
To: Debian Bug Tracking System <671688@bugs.debian.org>
Subject: Re: evernote-mode: evernote-browser fails to execute with SSL_connect error
Date: Wed, 16 May 2012 22:46:14 +0400
Package: evernote-mode
Version: 0.41-2
Followup-For: Bug #671688

Catch the same bug in Wheezy i386



-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-2-686-pae (SMP w/1 CPU core)
Locale: LANG=ru_RU.UTF-8, LC_CTYPE=ru_RU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages evernote-mode depends on:
ii  emacs                       23.4+1-3
ii  emacs23-lucid [emacs23]     23.4+1-3
ii  ruby                        4.8
ii  ruby1.8 [ruby-interpreter]  1.8.7.352-2

evernote-mode recommends no packages.

Versions of packages evernote-mode suggests:
pn  w3m-el | w3m-el-snapshot  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#671688; Package evernote-mode. (Sun, 20 May 2012 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
Extra info received and forwarded to list. (Sun, 20 May 2012 10:15:45 GMT) Full text and rfc822 format available.

Message #15 received at 671688@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: Debian Bug Tracking System <671688@bugs.debian.org>
Subject: Re: Bug#671688: evernote-mode: evernote-browser fails to execute with SSL_connect error
Date: Sun, 20 May 2012 19:12:15 +0900
Hi,

At Wed, 16 May 2012 22:46:14 +0400,
Evgeny Kurbatov <evgenykurbatov@yandex.ru> wrote:
> 
> Package: evernote-mode
> Version: 0.41-2
> Followup-For: Bug #671688
> 
> Catch the same bug in Wheezy i386

Sorry for late response, I'll fix it ASAP.

Best Wishes,
---
Youhei SASAKI <uwabami@gfd-dennou.org>
              <uwabami@debian.or.jp>
GPG fingerprint:
  4096/RSA: 66A4 EA70 4FE2 4055 8D6A C2E6 9394 F354 891D 7E07




Reply sent to Youhei SASAKI <uwabami@gfd-dennou.org>:
You have taken responsibility. (Wed, 04 Jul 2012 22:51:03 GMT) Full text and rfc822 format available.

Notification sent to Petr Novodvorskiy <peter.novodvorsky@gmail.com>:
Bug acknowledged by developer. (Wed, 04 Jul 2012 22:51:03 GMT) Full text and rfc822 format available.

Message #20 received at 671688-close@bugs.debian.org (full text, mbox):

From: Youhei SASAKI <uwabami@gfd-dennou.org>
To: 671688-close@bugs.debian.org
Subject: Bug#671688: fixed in evernote-mode 0.41-3
Date: Wed, 04 Jul 2012 22:47:10 +0000
Source: evernote-mode
Source-Version: 0.41-3

We believe that the bug you reported is fixed in the latest version of
evernote-mode, which is due to be installed in the Debian FTP archive:

evernote-mode_0.41-3.debian.tar.gz
  to main/e/evernote-mode/evernote-mode_0.41-3.debian.tar.gz
evernote-mode_0.41-3.dsc
  to main/e/evernote-mode/evernote-mode_0.41-3.dsc
evernote-mode_0.41-3_all.deb
  to main/e/evernote-mode/evernote-mode_0.41-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 671688@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Youhei SASAKI <uwabami@gfd-dennou.org> (supplier of updated evernote-mode package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 04 Jul 2012 12:19:43 +0100
Source: evernote-mode
Binary: evernote-mode
Architecture: source all
Version: 0.41-3
Distribution: unstable
Urgency: low
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Changed-By: Youhei SASAKI <uwabami@gfd-dennou.org>
Description: 
 evernote-mode - Emacs major mode for editing Evernote directly
Closes: 671688
Changes: 
 evernote-mode (0.41-3) unstable; urgency=low
 .
   * Update/refresh patches: use gbp-pq
   * Bump standard version: 3.9.3
   * Fix SSL Connection, Validation Error (Closes: #671688)
     - Force SSLv3 for newer OpenSSL Library
     - Avoid broken validation from Thrift library.
     - Thanks to Petr Novodvorskiy, Evgeny Kurbatov
Checksums-Sha1: 
 3d668f07c12570ab92836c77c466e6f7bff27ca2 1959 evernote-mode_0.41-3.dsc
 d3798c8b0fafe686c78ff5c18714ba5468e37c00 12846 evernote-mode_0.41-3.debian.tar.gz
 f60119145d2eaf7aebc1f2b87db2c4861ccf74ee 895250 evernote-mode_0.41-3_all.deb
Checksums-Sha256: 
 db8e33d34ead7db787ca5307e0a24bdeabdfbc00684cc6bba52d90a1428fa211 1959 evernote-mode_0.41-3.dsc
 7a7e887aebe1883edf99a5cf62fa71323e4fbb8f5fd2f2b893ec1bbfe783c992 12846 evernote-mode_0.41-3.debian.tar.gz
 adce9915993e37f13bba314588241c1f59038f56035215b13a7bb30e7a4cae2a 895250 evernote-mode_0.41-3_all.deb
Files: 
 a692f522834b901f308b9ba989a07473 1959 lisp optional evernote-mode_0.41-3.dsc
 4fa7df1762d67d5d957501d677219daf 12846 lisp optional evernote-mode_0.41-3.debian.tar.gz
 dc1005d4740d91313f5bb331f729fffa 895250 lisp optional evernote-mode_0.41-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJP9MQpAAoJEJOU81SJHX4HB0gP/28rMcji7740WNNPzGiKpZ6d
dDAOFumcTzc127RlZR6KCtafVwHSPnaaf1NGZF88+tXp1eh4/OxRI3n5KRqoGbSf
jYfkg5X+kdGogomBQNuEbjOggVAN+xxDusgpH/4QMfRQMcBaeOTHNp+IfBqVMR1o
n8gDWM3c9899omNHG71VpgdevmV67PFjW/bRLuPPtlpopzciuc2ZgmPryQRiPMsD
i04u9h0WudShFL5xdSgtnDwqmt6HMMJbE4Y6Ux7hupVZf/t7APOIdGKTcOa5TFIx
t97Y3uwRj4GvSSSvsE7rU/xcgjiQ+fQOC4OcqzmU2AWVc5+slXQTbl7Ut7EKHI/B
VRfDLLPTOtdibVjyPccjyb5BaAL6t2iSyi3zeRpckK/Hp2aBoeC3mi26N4y3x86Z
e/FJ26IhcnCwYmJFJx4X7D/hL5yYNZ/sA6Nz5eaOP84PZc6BXh0Lk4fuXpUKjVa/
1Pp4ZZ363fJ4arZS6/ZsHzxAZTulD/8KSA/JddlqRL3vSeQKJo3RaBDWu7Gvqyhc
espgcAl+R6vuDL/I79OG7XJRXov16C5zk94sWz9OA/gxZQ6Eebb7JrFUKc/7ksVP
OUyp5nFqgEuqoQNjbO0M3L01rJs02BXLUQU6ny5D6xw4JdzMawZWQ9jZ+UtdqMsX
YNcWRMpbrLgTB4rdjFX+
=duoo
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Aug 2012 07:40:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:07:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.